from django.conf import settings



def get_send_mail():
    """
    A function to return a send_mail function suitable for use in the app. It
    deals with incompatibilities between signatures.
    """
    def send_mail(*args, **kwargs):
        if "mailer" in settings.INSTALLED_APPS:
            from mailer import send_mail as _send_mail
        else:
            from django.core.mail import send_mail as _send_mail
            del kwargs["priority"]
        return _send_mail(*args, **kwargs)
    return send_mail
